Name: iputils
%define timestamp 020927
Version: 20%timestamp
Release: alt1

Summary: The ping program for checking to see if network hosts are alive
License: BSD
Group: Networking/Other
Url: ftp://ftp.sunet.se/pub/os/Linux/ip-routing

Source0: %url/%name-ss%timestamp.tar.bz2
Source1: bonding-0.2.tar.bz2
Source2: ping.control

Patch1: %name-ss001110-rh-owl-cache-reverse-lookups.patch
Patch2: %name-20001007-rh-bug23844.patch
Patch3: bonding-0.2-alt-ioctl.patch
Patch4: %name-ss020927-alt-datalen-fix.patch
Patch5: %name-ss020124-alt-droppriv.patch

Conflicts: netkit-base

Prefix: %prefix

PreReq: shadow-utils, control
Requires: ipv6calc, /var/resolv

# Automatically added by buildreq on Wed Oct 16 2002
BuildRequires: libcap-devel

%description
+ clockdiff - measures clock difference;
+ ping/ping6 - sends ICMP ECHO_REQUEST packets to network hosts;
+ traceroute6 - trace the route ip packets follow going to network host;
+ arping - ping by ARP packets;
+ rdisc - classic router discovery daemon;
+ tracepath/tracepath6 - traces path to destination discovering MTU along this path.

%prep
%setup -q -n %name -a1

rm -f bonding-0.2/ifenslave
mv -f bonding-0.2/README bonding-0.2/README.ifenslave

%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1

%build
%make_build \
	KERNEL_INCLUDE=/usr/lib/kernel/include \
	CCOPT="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wstrict-prototypes" \
	LDLIBS=
%make_build CFLAGS="$RPM_OPT_FLAGS" ifenslave -C bonding-0.2
# SMP-incompatible build
%make man -C doc

%install
%__mkdir_p $RPM_BUILD_ROOT{/{,s}bin,%_sbindir,%_man8dir}
install -p arping clockdiff $RPM_BUILD_ROOT%_sbindir/
install -p -m4711 ping $RPM_BUILD_ROOT/bin/
install -p bonding-0.2/ifenslave $RPM_BUILD_ROOT/sbin/
install -p ping6 tracepath tracepath6 traceroute6 rarpd $RPM_BUILD_ROOT%_sbindir/
install -p rdisc $RPM_BUILD_ROOT%_sbindir/in.rdisc
%__ln_s in.rdisc $RPM_BUILD_ROOT%_sbindir/rdisc
pushd doc
	install -m644 -p arping.8 clockdiff.8 ping.8 pg3.8 rarpd.8 tracepath.8 rdisc.8 \
		$RPM_BUILD_ROOT%_man8dir/
popd
install -pD -m755 $RPM_SOURCE_DIR/ping.control \
	$RPM_BUILD_ROOT/etc/control.d/facilities/ping

%pre
/usr/sbin/groupadd -r -f iputils >/dev/null 2>&1
/usr/sbin/useradd -r -g iputils -d /dev/null -s /dev/null -n iputils >/dev/null 2>&1 ||:

/usr/sbin/groupadd -r -f netadmin >/dev/null 2>&1
[ $1 -eq 1 ] || /usr/sbin/control-dump ping

%post
[ $1 -eq 1 ] || /usr/sbin/control-restore ping

%files
%config /etc/control.d/facilities/ping
/bin/ping
/sbin/ifenslave
%_sbindir/*
%_mandir/man?/*
%doc RELNOTES bonding*/README.*

%changelog
* Wed Oct 16 2002 Dmitry V. Levin <ldv@altlinux.org> 20020927-alt1
- Updated to ss020927 (fixes #0000711).
- Dropped ss001110-owl-warnings patch (no longer needed).
- Fixed datalen typo.
- Added group (netadmin) to restrict access to ping.
- Added control support for ping.

* Thu Apr 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020124-alt8
- arping: do drop_priv a bit later to keep functionality.
- clockdif: keep cap_net_raw capability.

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020124-alt7
- Updated droppriv patch (chroot to /var/resolv).

* Fri Apr 05 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020124-alt6
- Refined droppriv patch:
  + added file descriptors fix;
  + drop root also for tracepath and tracepath6.

* Thu Apr 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020124-alt5
- Moved ipv6calc to outstanding package.
- arping, clockdiff, ping, ping6, traceroute6: drop root also for root user.

* Tue Apr 02 2002 Dmitry V. Levin <ldv@alt-linux.org> 20020124-alt4
- Disabled build of ipv6calc-static.
- Fixed build without kernel-source installed.

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 20020124-alt3
- Fixed:
    + tftpd removed from installation binaries 

* Mon Mar 25 2002 Alexander Bokovoy <ab@altlinux.ru> 20020124-alt2
- IPUtils ss020124
- IP6Calc 0.39
- Documentation now is built using SGML tools
- Various patches updated

* Thu Jan 03 2002 Stanislav Ievlev <inger@altlinux.ru> 20010805-alt2
- fixed rights on manual pages (bug  #0000292)
- fixed bonding with new interface ( 2.4.x )

* Tue Aug 14 2001 Alexander Bokovoy <ab@altlinux.ru>   20010805-alt1
- IPUtils ss010805
- Fixed: 
    + ping-deadline patch. Ping has been re-designed to eliminate this problem
    + Compiler options
    + Owl patch for ping

* Tue May 08 2001 Stanislav Ievlev <inger@altlinux.ru> 20001110-ipl2mdk
- Merge with patches from OpenWall, RH and MDK

* Fri Jan 12 2001 Dmitry V. Levin <ldv@fandra.org> 20001110-ipl1mdk
- ss001110.

* Thu Oct 19 2000 Dmitry V. Levin <ldv@fandra.org> 20001011-ipl1mdk
- ss001011.
- RE adaptions.

* Tue Oct 10 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001010.
- don't segfault as root with large buffers (#16677).

* Sun Oct  8 2000 Jeff Johnson <jbj@redhat.com>
- update to ss001007.

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- fix spelling mistake (#15714).

* Tue Aug  8 2000 Tim Waugh <twaugh@redhat.com>
- turn on -U on machines without TSC (#15223).

* Tue Aug  1 2000 Jeff Johnson <jbj@redhat.com>
- better doco patch (#15050).

* Tue Jul 25 2000 Jakub Jelinek <jakub@redhat.com>
- fix include-glibc/ to work with new glibc 2.2 resolver headers

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging.
- update to ss000418.
- perform reverse DNS lookup only once for same input.

* Sun Mar  5 2000 Jeff Johnson <jbj@redhat.com>
- include README.ifenslave doco.
- "ping -i N" was broke for N >= 3 (#9929).
- update to ss000121:
-- clockdiff: preserve raw socket errno.
-- ping: change error exit code to 1 (used to be 92,93, ...)
-- ping,ping6: if -w specified, transmit until -c limit is reached.
-- ping,ping6: exit code non-zero if some packets not received within deadline.

* Tue Feb 22 2000 Jeff Johnson <jbj@redhat.com>
- man page corrections (#9690).

* Wed Feb  9 2000 Jeff Johnson <jbj@jbj.org>
- add ifenslave.

* Thu Feb  3 2000 Elliot Lee <sopwith@redhat.com>
- List /usr/sbin/rdisc in %files list.

* Thu Jan 27 2000 Jeff Johnson <jbj@redhat.com>
- add remaining binaries.
- casts to remove compilation warnings.
- terminate if -w deadline is reached exactly (#8724).

* Fri Dec 24 1999 Jeff Johnson <jbj@redhat.com>
- create (only ping for now, traceroute et al soon).
